using UnityEditor;

namespace Terra.Arbitrator.Settings
{
    public static class BetterGitSettings
    {
        // Define unique keys to avoid conflicts in EditorPrefs.
        private const string UsernameKey = "Terra.Arbitrator.Username";
        private const string EmailKey = "Terra.Arbitrator.Email";

        public static string Username
        {
            get => EditorPrefs.GetString(UsernameKey, "");
            set => EditorPrefs.SetString(UsernameKey, value);
        }
        
        public static string Email
        {
            get => EditorPrefs.GetString(EmailKey, "");
            set => EditorPrefs.SetString(EmailKey, value);
        }
    }
}